<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DesconectarEmpresa StructType
 * @subpackage Structs
 */
class DesconectarEmpresa extends AbstractStructBase
{
    /**
     * The usuario
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $usuario;
    /**
     * The senha
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $senha;
    /**
     * The guid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $guid;
    /**
     * The idempresa
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $idempresa;
    /**
     * The dispositivo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dispositivo;
    /**
     * Constructor method for DesconectarEmpresa
     * @uses DesconectarEmpresa::setUsuario()
     * @uses DesconectarEmpresa::setSenha()
     * @uses DesconectarEmpresa::setGuid()
     * @uses DesconectarEmpresa::setIdempresa()
     * @uses DesconectarEmpresa::setDispositivo()
     * @param string $usuario
     * @param string $senha
     * @param string $guid
     * @param string $idempresa
     * @param string $dispositivo
     */
    public function __construct($usuario = null, $senha = null, $guid = null, $idempresa = null, $dispositivo = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setGuid($guid)
            ->setIdempresa($idempresa)
            ->setDispositivo($dispositivo);
    }
    /**
     * Get usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->usuario;
    }
    /**
     * Set usuario value
     * @param string $usuario
     * @return \StructType\DesconectarEmpresa
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->usuario = $usuario;
        return $this;
    }
    /**
     * Get senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->senha;
    }
    /**
     * Set senha value
     * @param string $senha
     * @return \StructType\DesconectarEmpresa
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->senha = $senha;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return \StructType\DesconectarEmpresa
     */
    public function setGuid($guid = null)
    {
        // validation for constraint: string
        if (!is_null($guid) && !is_string($guid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($guid, true), gettype($guid)), __LINE__);
        }
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get idempresa value
     * @return string|null
     */
    public function getIdempresa()
    {
        return $this->idempresa;
    }
    /**
     * Set idempresa value
     * @param string $idempresa
     * @return \StructType\DesconectarEmpresa
     */
    public function setIdempresa($idempresa = null)
    {
        // validation for constraint: string
        if (!is_null($idempresa) && !is_string($idempresa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($idempresa, true), gettype($idempresa)), __LINE__);
        }
        $this->idempresa = $idempresa;
        return $this;
    }
    /**
     * Get dispositivo value
     * @return string|null
     */
    public function getDispositivo()
    {
        return $this->dispositivo;
    }
    /**
     * Set dispositivo value
     * @param string $dispositivo
     * @return \StructType\DesconectarEmpresa
     */
    public function setDispositivo($dispositivo = null)
    {
        // validation for constraint: string
        if (!is_null($dispositivo) && !is_string($dispositivo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dispositivo, true), gettype($dispositivo)), __LINE__);
        }
        $this->dispositivo = $dispositivo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DesconectarEmpresa
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
