<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NotificarDispositivos StructType
 * @subpackage Structs
 */
class NotificarDispositivos extends AbstractStructBase
{
    /**
     * The idempresa
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idempresa;
    /**
     * The usuario
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $usuario;
    /**
     * The senha
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $senha;
    /**
     * The guid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $guid;
    /**
     * Constructor method for NotificarDispositivos
     * @uses NotificarDispositivos::setIdempresa()
     * @uses NotificarDispositivos::setUsuario()
     * @uses NotificarDispositivos::setSenha()
     * @uses NotificarDispositivos::setGuid()
     * @param int $idempresa
     * @param string $usuario
     * @param string $senha
     * @param string $guid
     */
    public function __construct($idempresa = null, $usuario = null, $senha = null, $guid = null)
    {
        $this
            ->setIdempresa($idempresa)
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setGuid($guid);
    }
    /**
     * Get idempresa value
     * @return int
     */
    public function getIdempresa()
    {
        return $this->idempresa;
    }
    /**
     * Set idempresa value
     * @param int $idempresa
     * @return \StructType\NotificarDispositivos
     */
    public function setIdempresa($idempresa = null)
    {
        // validation for constraint: int
        if (!is_null($idempresa) && !(is_int($idempresa) || ctype_digit($idempresa))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idempresa, true), gettype($idempresa)), __LINE__);
        }
        $this->idempresa = $idempresa;
        return $this;
    }
    /**
     * Get usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->usuario;
    }
    /**
     * Set usuario value
     * @param string $usuario
     * @return \StructType\NotificarDispositivos
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->usuario = $usuario;
        return $this;
    }
    /**
     * Get senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->senha;
    }
    /**
     * Set senha value
     * @param string $senha
     * @return \StructType\NotificarDispositivos
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->senha = $senha;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return \StructType\NotificarDispositivos
     */
    public function setGuid($guid = null)
    {
        // validation for constraint: string
        if (!is_null($guid) && !is_string($guid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($guid, true), gettype($guid)), __LINE__);
        }
        $this->guid = $guid;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\NotificarDispositivos
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
